import App from './App'
import Vue from 'vue'
import getOpenId from './apis/utils/init.js'
import './assets/font/font.css'


getOpenId.init()

import mixin from './apis/utils/mixin.js'

Vue.prototype.carhelp = mixin

//import Vconsole from 'vconsole'
//import uView from "uview-ui";
import uView from '@/uni_modules/uview-ui'

Vue.use(uView);


Vue.mixin({
	updated: function() {
		
	},
	onReady() {


	},
	onLoad(option) {
		if (option.test == 'test') {
			//let vConsole = new Vconsole()
		}

	},
	methods: {
		getPersonName(name,item){
			var thisname=name
			if(item.isAnonymous){
				thisname=name.substring(0,1)+(item.gender==1?'先生':'女士');
			}
			
			return thisname
			
		},
		getTime(item){
			var time=item.updateTime?item.updateTime:item.createTime;
			if(time){
				return time.substring(0,10)
			}
			return  ''
		},
		getUnit(item){
			var sz=['','元/日','元/周','元/月','error','']
			if(item.salary=='面议'){
				return ''
			}
			if(item.method){
				return sz[item.method]
			}
			if(item.settlementMethod){
				return sz[item.settlementMethod]
			}
			
			return  ''
		},
		gotoUrl(url,tab) {
			uni.navigateTo({
				url: "/" + url
			})
			
		}
	}
})


Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
